## org.apache.xerces.jaxp
Class DocumentBuilderImpl

    java.lang.Object
      javax.xml.parsers.DocumentBuilder
          org.apache.xerces.jaxp.DocumentBuilderImpl

All Implemented Interfaces:
  JAXPConstants

public class DocumentBuilderImpl
extends javax.xml.parsers.DocumentBuilder
implements JAXPConstants

Version:
  $Id: DocumentBuilderImpl.java,v 1.23 2004/02/10 20:12:30 mrglavas Exp $
Author:
  Rajiv Mordani, Edwin Goei

Field Summary

Fields inherited from interface org.apache.xerces.jaxp.JAXPConstants
`JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, W3C_XML_SCHEMA`

Method Summary
`org.w3c.dom.DOMImplementation` `getDOMImplementation()`
`boolean` `isNamespaceAware()`
`boolean` `isValidating()`
`org.w3c.dom.Document` `newDocument()` Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.
`org.w3c.dom.Document` `parse(org.xml.sax.InputSource is)`
`void` `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` `setErrorHandler(org.xml.sax.ErrorHandler eh)`

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newDocument

    public org.w3c.dom.Document newDocument()

  Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource is)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### isNamespaceAware

    public boolean isNamespaceAware()

### isValidating

    public boolean isValidating()

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.